Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.management.oss
Interface ManagedEntityValueIterator

All Superinterfaces:
  java.io.Serializable

All Known Subinterfaces:
  OperationalStatusMonitorValueIterator, PerformanceMonitorValueIterator

All Known Implementing Classes:
  ManagedEntityValueIteratorImpl, OperationalStatusMonitorValueIteratorImpl, PerformanceMonitorValueIteratorImpl

public interface ManagedEntityValueIterator
extends java.io.Serializable

Base ManagedEntityValue iterator.

This object is created to contain the results of an operation so that the results may be returned to the client at a rate determined by the client. The client receives the iterator as a result of a query operation. The client then invokes operations on the iterator to receive batches of results in sizes determined by the client.

The iterator keeps track of how far through the results the client has progressed.

Method Summary
`ManagedEntityValue[]` | `getNext(int howMany)` Retrieve the next available values.
`void` | `remove()` Deallocate resources associated with this iterator.

Method Detail

### getNext

    public ManagedEntityValue[] getNext(int howMany)

  Retrieve the next available values.

  Parameters:
    `howMany` - maximum number of values to return.
  Returns:
    an array of ManagedEntityValues with a size of at most howMany. When no more values are available, an empty array is returned.

### remove

    public void remove()
                throws RemoveException

  Deallocate resources associated with this iterator.

  This should be called when the client is finished iterating through the collection.

  Throws:
    `RemoveException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD